searchData={"items":[{"type":"module","title":"GoogleApi.Script.V1","doc":"API client metadata for GoogleApi.Script.V1.","ref":"GoogleApi.Script.V1.html"},{"type":"function","title":"GoogleApi.Script.V1.discovery_revision/0","doc":"","ref":"GoogleApi.Script.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Script.V1.Api.Processes","doc":"API calls for all endpoints tagged `Processes`.","ref":"GoogleApi.Script.V1.Api.Processes.html"},{"type":"function","title":"GoogleApi.Script.V1.Api.Processes.script_processes_list/3","doc":"List information about processes made by or on behalf of a user, such as process type and current status.","ref":"GoogleApi.Script.V1.Api.Processes.html#script_processes_list/3"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Processes.script_processes_list/3","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of returned processes per page of results. Defaults to 50.\n    *   `:pageToken` (*type:* `String.t`) - The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response.\n    *   `:\"userProcessFilter.deploymentId\"` (*type:* `String.t`) - Optional field used to limit returned processes to those originating from projects with a specific deployment ID.\n    *   `:\"userProcessFilter.endTime\"` (*type:* `DateTime.t`) - Optional field used to limit returned processes to those that completed on or before the given timestamp.\n    *   `:\"userProcessFilter.functionName\"` (*type:* `String.t`) - Optional field used to limit returned processes to those originating from a script function with the given function name.\n    *   `:\"userProcessFilter.projectName\"` (*type:* `String.t`) - Optional field used to limit returned processes to those originating from projects with project names containing a specific string.\n    *   `:\"userProcessFilter.scriptId\"` (*type:* `String.t`) - Optional field used to limit returned processes to those originating from projects with a specific script ID.\n    *   `:\"userProcessFilter.startTime\"` (*type:* `DateTime.t`) - Optional field used to limit returned processes to those that were started on or after the given timestamp.\n    *   `:\"userProcessFilter.statuses\"` (*type:* `list(String.t)`) - Optional field used to limit returned processes to those having one of the specified process statuses.\n    *   `:\"userProcessFilter.types\"` (*type:* `list(String.t)`) - Optional field used to limit returned processes to those having one of the specified process types.\n    *   `:\"userProcessFilter.userAccessLevels\"` (*type:* `list(String.t)`) - Optional field used to limit returned processes to those having one of the specified user access levels.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Processes.html#script_processes_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Processes.script_processes_list/3","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.ListUserProcessesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Processes.html#script_processes_list/3-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Processes.script_processes_list_script_processes/3","doc":"List information about a script's executed processes, such as process type and current status.","ref":"GoogleApi.Script.V1.Api.Processes.html#script_processes_list_script_processes/3"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Processes.script_processes_list_script_processes/3","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of returned processes per page of results. Defaults to 50.\n    *   `:pageToken` (*type:* `String.t`) - The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response.\n    *   `:scriptId` (*type:* `String.t`) - The script ID of the project whose processes are listed.\n    *   `:\"scriptProcessFilter.deploymentId\"` (*type:* `String.t`) - Optional field used to limit returned processes to those originating from projects with a specific deployment ID.\n    *   `:\"scriptProcessFilter.endTime\"` (*type:* `DateTime.t`) - Optional field used to limit returned processes to those that completed on or before the given timestamp.\n    *   `:\"scriptProcessFilter.functionName\"` (*type:* `String.t`) - Optional field used to limit returned processes to those originating from a script function with the given function name.\n    *   `:\"scriptProcessFilter.startTime\"` (*type:* `DateTime.t`) - Optional field used to limit returned processes to those that were started on or after the given timestamp.\n    *   `:\"scriptProcessFilter.statuses\"` (*type:* `list(String.t)`) - Optional field used to limit returned processes to those having one of the specified process statuses.\n    *   `:\"scriptProcessFilter.types\"` (*type:* `list(String.t)`) - Optional field used to limit returned processes to those having one of the specified process types.\n    *   `:\"scriptProcessFilter.userAccessLevels\"` (*type:* `list(String.t)`) - Optional field used to limit returned processes to those having one of the specified user access levels.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Processes.html#script_processes_list_script_processes/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Processes.script_processes_list_script_processes/3","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.ListScriptProcessesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Processes.html#script_processes_list_script_processes/3-returns"},{"type":"module","title":"GoogleApi.Script.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.Script.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_create/3","doc":"Creates a new, empty script project with no script files and a base manifest file.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_create/3"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_create/3","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Script.V1.Model.CreateProjectRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_create/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_create/3","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Project{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_create/3-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_deployments_create/4","doc":"Creates a deployment of an Apps Script project.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_create/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_create/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Script.V1.Model.DeploymentConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_create/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Deployment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_create/4-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_deployments_delete/5","doc":"Deletes a deployment of an Apps Script project.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_delete/5"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_delete/5","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `deployment_id` (*type:* `String.t`) - The deployment ID to be undeployed.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_delete/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_delete/5","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_delete/5-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_deployments_get/5","doc":"Gets a deployment of an Apps Script project.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_get/5"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_get/5","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `deployment_id` (*type:* `String.t`) - The deployment ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_get/5","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Deployment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_get/5-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_deployments_list/4","doc":"Lists the deployments of an Apps Script project.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_list/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_list/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of deployments on each returned page. Defaults to 50.\n    *   `:pageToken` (*type:* `String.t`) - The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_list/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.ListDeploymentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_list/4-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_deployments_update/5","doc":"Updates a deployment of an Apps Script project.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_update/5"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_update/5","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `deployment_id` (*type:* `String.t`) - The deployment ID for this deployment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Script.V1.Model.UpdateDeploymentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_update/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_deployments_update/5","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Deployment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_deployments_update/5-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_get/4","doc":"Gets a script project's metadata.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_get/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_get/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Project{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get/4-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_get_content/4","doc":"Gets the content of the script project, including the code source and metadata for each script file.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get_content/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_get_content/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:versionNumber` (*type:* `integer()`) - The version number of the project to retrieve. If not provided, the project's HEAD version is returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get_content/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_get_content/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Content{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get_content/4-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_get_metrics/4","doc":"Get metrics data for scripts, such as number of executions and active users.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get_metrics/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_get_metrics/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - Required field indicating the script to get metrics for.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"metricsFilter.deploymentId\"` (*type:* `String.t`) - Optional field indicating a specific deployment to retrieve metrics from.\n    *   `:metricsGranularity` (*type:* `String.t`) - Required field indicating what granularity of metrics are returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get_metrics/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_get_metrics/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Metrics{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_get_metrics/4-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_update_content/4","doc":"Updates the content of the specified script project. This content is stored as the HEAD version, and is used when the script is executed as a trigger, in the script editor, in add-on preview mode, or as a web app or Apps Script API in development mode. This clears all the existing files in the project.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_update_content/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_update_content/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Script.V1.Model.Content.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_update_content/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_update_content/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Content{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_update_content/4-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_versions_create/4","doc":"Creates a new immutable version using the current code, with a unique version number.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_create/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_versions_create/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Script.V1.Model.Version.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_versions_create/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_create/4-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_versions_get/5","doc":"Gets a version of a script project.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_get/5"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_versions_get/5","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `version_number` (*type:* `integer()`) - The version number.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_versions_get/5","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_get/5-returns"},{"type":"function","title":"GoogleApi.Script.V1.Api.Projects.script_projects_versions_list/4","doc":"List the versions of a script project.","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_list/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Projects.script_projects_versions_list/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script project's Drive ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of versions on each returned page. Defaults to 50.\n    *   `:pageToken` (*type:* `String.t`) - The token for continuing a previous list request on the next page. This should be set to the value of `nextPageToken` from a previous response.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Projects.script_projects_versions_list/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.ListVersionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Projects.html#script_projects_versions_list/4-returns"},{"type":"module","title":"GoogleApi.Script.V1.Api.Scripts","doc":"API calls for all endpoints tagged `Scripts`.","ref":"GoogleApi.Script.V1.Api.Scripts.html"},{"type":"function","title":"GoogleApi.Script.V1.Api.Scripts.script_scripts_run/4","doc":"Runs a function in an Apps Script project. The script project must be deployed for use with the Apps Script API and the calling application must share the same Cloud Platform project. This method requires authorization with an OAuth 2.0 token that includes at least one of the scopes listed in the [Authorization](#authorization-scopes) section; script projects that do not require authorization cannot be executed through this API. To find the correct scopes to include in the authentication token, open the script project **Overview** page and scroll down to \"Project OAuth Scopes.\" The error `403, PERMISSION_DENIED: The caller does not have permission` indicates that the Cloud Platform project used to authorize the request is not the same as the one used by the script.","ref":"GoogleApi.Script.V1.Api.Scripts.html#script_scripts_run/4"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Api.Scripts.script_scripts_run/4","doc":"*   `connection` (*type:* `GoogleApi.Script.V1.Connection.t`) - Connection to server\n*   `script_id` (*type:* `String.t`) - The script ID of the script to be executed. Find the script ID on the **Project settings** page under \"IDs.\" As multiple executable APIs can be deployed in new IDE for same script, this field should be populated with DeploymentID generated while deploying in new IDE instead of script ID.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Script.V1.Model.ExecutionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Script.V1.Api.Scripts.html#script_scripts_run/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Api.Scripts.script_scripts_run/4","doc":"*   `{:ok, %GoogleApi.Script.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Script.V1.Api.Scripts.html#script_scripts_run/4-returns"},{"type":"module","title":"GoogleApi.Script.V1.Connection","doc":"Handle Tesla connections for GoogleApi.Script.V1.","ref":"GoogleApi.Script.V1.Connection.html"},{"type":"function","title":"GoogleApi.Script.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Script.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Script.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Script.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Script.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Script.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Script.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Script.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Script.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Script.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Script.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Script.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Script.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Script.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Script.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Script.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Script.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Script.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Script.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Script.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Script.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Script.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Script.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Script.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Script.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Script.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Script.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Script.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Script.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Script.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Script.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Script.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Script.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Script.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Script.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Script.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Script.V1.Connection.t/0","doc":"","ref":"GoogleApi.Script.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Content","doc":"The Content resource.","ref":"GoogleApi.Script.V1.Model.Content.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Content","doc":"*   `files` (*type:* `list(GoogleApi.Script.V1.Model.File.t)`, *default:* `nil`) - The list of script project files. One of the files is a script manifest; it must be named \"appsscript\", must have type of JSON, and include the manifest configurations for the project.\n*   `scriptId` (*type:* `String.t`, *default:* `nil`) - The script project's Drive ID.","ref":"GoogleApi.Script.V1.Model.Content.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Content.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Content.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Content.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Content.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.CreateProjectRequest","doc":"Request to create a script project. Request to create a script project.","ref":"GoogleApi.Script.V1.Model.CreateProjectRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.CreateProjectRequest","doc":"*   `parentId` (*type:* `String.t`, *default:* `nil`) - The Drive ID of a parent file that the created script project is bound to. This is usually the ID of a Google Doc, Google Sheet, Google Form, or Google Slides file. If not set, a standalone script project is created.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title for the project.","ref":"GoogleApi.Script.V1.Model.CreateProjectRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.CreateProjectRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.CreateProjectRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.CreateProjectRequest.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.CreateProjectRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Deployment","doc":"Representation of a single script deployment.","ref":"GoogleApi.Script.V1.Model.Deployment.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Deployment","doc":"*   `deploymentConfig` (*type:* `GoogleApi.Script.V1.Model.DeploymentConfig.t`, *default:* `nil`) - The deployment configuration.\n*   `deploymentId` (*type:* `String.t`, *default:* `nil`) - The deployment ID for this deployment.\n*   `entryPoints` (*type:* `list(GoogleApi.Script.V1.Model.EntryPoint.t)`, *default:* `nil`) - The deployment's entry points.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Last modified date time stamp.","ref":"GoogleApi.Script.V1.Model.Deployment.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Deployment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Deployment.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Deployment.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Deployment.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.DeploymentConfig","doc":"Metadata the defines how a deployment is configured.","ref":"GoogleApi.Script.V1.Model.DeploymentConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.DeploymentConfig","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The description for this deployment.\n*   `manifestFileName` (*type:* `String.t`, *default:* `nil`) - The manifest file name for this deployment.\n*   `scriptId` (*type:* `String.t`, *default:* `nil`) - The script project's Drive ID.\n*   `versionNumber` (*type:* `integer()`, *default:* `nil`) - The version number on which this deployment is based.","ref":"GoogleApi.Script.V1.Model.DeploymentConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.DeploymentConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.DeploymentConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.DeploymentConfig.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.DeploymentConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.Script.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Empty","doc":"","ref":"GoogleApi.Script.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.EntryPoint","doc":"A configuration that defines how a deployment is accessed externally.","ref":"GoogleApi.Script.V1.Model.EntryPoint.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.EntryPoint","doc":"*   `addOn` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint.t`, *default:* `nil`) - Add-on properties.\n*   `entryPointType` (*type:* `String.t`, *default:* `nil`) - The type of the entry point.\n*   `executionApi` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint.t`, *default:* `nil`) - An entry point specification for Apps Script API execution calls.\n*   `webApp` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint.t`, *default:* `nil`) - An entry point specification for web apps.","ref":"GoogleApi.Script.V1.Model.EntryPoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.EntryPoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.EntryPoint.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.EntryPoint.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.EntryPoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ExecuteStreamResponse","doc":"The response for executing or debugging a function in an Apps Script project.","ref":"GoogleApi.Script.V1.Model.ExecuteStreamResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ExecuteStreamResponse","doc":"*   `result` (*type:* `GoogleApi.Script.V1.Model.ScriptExecutionResult.t`, *default:* `nil`) - The result of the execution.","ref":"GoogleApi.Script.V1.Model.ExecuteStreamResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ExecuteStreamResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ExecuteStreamResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ExecuteStreamResponse.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ExecuteStreamResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ExecutionError","doc":"An object that provides information about the nature of an error resulting from an attempted execution of a script function using the Apps Script API. If a run call succeeds but the script function (or Apps Script itself) throws an exception, the response body's error field contains a Status object. The `Status` object's `details` field contains an array with a single one of these `ExecutionError` objects.","ref":"GoogleApi.Script.V1.Model.ExecutionError.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ExecutionError","doc":"*   `errorMessage` (*type:* `String.t`, *default:* `nil`) - The error message thrown by Apps Script, usually localized into the user's language.\n*   `errorType` (*type:* `String.t`, *default:* `nil`) - The error type, for example `TypeError` or `ReferenceError`. If the error type is unavailable, this field is not included.\n*   `scriptStackTraceElements` (*type:* `list(GoogleApi.Script.V1.Model.ScriptStackTraceElement.t)`, *default:* `nil`) - An array of objects that provide a stack trace through the script to show where the execution failed, with the deepest call first.","ref":"GoogleApi.Script.V1.Model.ExecutionError.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ExecutionError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ExecutionError.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ExecutionError.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ExecutionError.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ExecutionRequest","doc":"A request to run the function in a script. The script is identified by the specified `script_id`. Executing a function on a script returns results based on the implementation of the script.","ref":"GoogleApi.Script.V1.Model.ExecutionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ExecutionRequest","doc":"*   `devMode` (*type:* `boolean()`, *default:* `nil`) - If `true` and the user is an owner of the script, the script runs at the most recently saved version rather than the version deployed for use with the Apps Script API. Optional; default is `false`.\n*   `function` (*type:* `String.t`, *default:* `nil`) - The name of the function to execute in the given script. The name does not include parentheses or parameters. It can reference a function in an included library such as `Library.libFunction1`.\n*   `parameters` (*type:* `list(any())`, *default:* `nil`) - The parameters to be passed to the function being executed. The object type for each parameter should match the expected type in Apps Script. Parameters cannot be Apps Script-specific object types (such as a `Document` or a `Calendar`); they can only be primitive types such as `string`, `number`, `array`, `object`, or `boolean`. Optional.\n*   `sessionState` (*type:* `String.t`, *default:* `nil`) - *Deprecated*. For use with Android add-ons only. An ID that represents the user's current session in the Android app for Google Docs or Sheets, included as extra data in the [Intent](https://developer.android.com/guide/components/intents-filters.html) that launches the add-on. When an Android add-on is run with a session state, it gains the privileges of a [bound](https://developers.google.com/apps-script/guides/bound) script—that is, it can access information like the user's current cursor position (in Docs) or selected cell (in Sheets). To retrieve the state, call `Intent.getStringExtra(\"com.google.android.apps.docs.addons.SessionState\")`. Optional.","ref":"GoogleApi.Script.V1.Model.ExecutionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ExecutionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ExecutionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ExecutionRequest.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ExecutionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ExecutionResponse","doc":"An object that provides the return value of a function executed using the Apps Script API. If the script function returns successfully, the response body's response field contains this `ExecutionResponse` object.","ref":"GoogleApi.Script.V1.Model.ExecutionResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ExecutionResponse","doc":"*   `result` (*type:* `any()`, *default:* `nil`) - The return value of the script function. The type matches the object type returned in Apps Script. Functions called using the Apps Script API cannot return Apps Script-specific objects (such as a `Document` or a `Calendar`); they can only return primitive types such as a `string`, `number`, `array`, `object`, or `boolean`.","ref":"GoogleApi.Script.V1.Model.ExecutionResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ExecutionResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ExecutionResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ExecutionResponse.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ExecutionResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.File","doc":"An individual file within a script project. A file is a third-party source code created by one or more developers. It can be a server-side JS code, HTML, or a configuration file. Each script project can contain multiple files.","ref":"GoogleApi.Script.V1.Model.File.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.File","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Creation date timestamp. This read-only field is only visible to users who have WRITER permission for the script project.\n*   `functionSet` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet.t`, *default:* `nil`) - The defined set of functions in the script file, if any.\n*   `lastModifyUser` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.t`, *default:* `nil`) - The user who modified the file most recently. This read-only field is only visible to users who have WRITER permission for the script project.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the file. The file extension is not part of the file name, which can be identified from the type field.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The file content.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the file.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Last modified date timestamp. This read-only field is only visible to users who have WRITER permission for the script project.","ref":"GoogleApi.Script.V1.Model.File.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.File.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.File.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.File.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.File.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint","doc":"An add-on entry point.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint","doc":"*   `addOnType` (*type:* `String.t`, *default:* `nil`) - The add-on's required list of supported container types.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The add-on's optional description.\n*   `helpUrl` (*type:* `String.t`, *default:* `nil`) - The add-on's optional help URL.\n*   `postInstallTipUrl` (*type:* `String.t`, *default:* `nil`) - The add-on's required post install tip URL.\n*   `reportIssueUrl` (*type:* `String.t`, *default:* `nil`) - The add-on's optional report issue URL.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The add-on's required title.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeAddOnEntryPoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig","doc":"API executable entry point configuration.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig","doc":"*   `access` (*type:* `String.t`, *default:* `nil`) - Who has permission to run the API executable.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint","doc":"An API executable entry point.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint","doc":"*   `entryPointConfig` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiConfig.t`, *default:* `nil`) - The entry point's configuration.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeExecutionApiEntryPoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction","doc":"Represents a function in a script project.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The function name in the script project.\n*   `parameters` (*type:* `list(String.t)`, *default:* `nil`) - The ordered list of parameter names of the function in the script project.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet","doc":"A set of functions. No duplicates are permitted.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet","doc":"*   `values` (*type:* `list(GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunction.t)`, *default:* `nil`) - A list of functions composing the set.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeFunctionSet.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess","doc":"Representation of a single script process execution that was started from the script editor, a trigger, an application, or using the Apps Script API. This is distinct from the `Operation` resource, which only represents executions started via the Apps Script API.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess","doc":"*   `duration` (*type:* `String.t`, *default:* `nil`) - Duration the execution spent executing.\n*   `functionName` (*type:* `String.t`, *default:* `nil`) - Name of the function the started the execution.\n*   `processStatus` (*type:* `String.t`, *default:* `nil`) - The executions status.\n*   `processType` (*type:* `String.t`, *default:* `nil`) - The executions type.\n*   `projectName` (*type:* `String.t`, *default:* `nil`) - Name of the script being executed.\n*   `runtimeVersion` (*type:* `String.t`, *default:* `nil`) - Which version of maestro to use to execute the script.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Time the execution started.\n*   `userAccessLevel` (*type:* `String.t`, *default:* `nil`) - The executing users access level to the script.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser","doc":"A simple user profile resource.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser","doc":"*   `domain` (*type:* `String.t`, *default:* `nil`) - The user's domain.\n*   `email` (*type:* `String.t`, *default:* `nil`) - The user's identifying email address.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The user's display name.\n*   `photoUrl` (*type:* `String.t`, *default:* `nil`) - The user's photo.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig","doc":"Web app entry point configuration.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig","doc":"*   `access` (*type:* `String.t`, *default:* `nil`) - Who has permission to run the web app.\n*   `executeAs` (*type:* `String.t`, *default:* `nil`) - Who to execute the web app as.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint","doc":"A web application entry point.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint","doc":"*   `entryPointConfig` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppConfig.t`, *default:* `nil`) - The entry point's configuration.\n*   `url` (*type:* `String.t`, *default:* `nil`) - The URL for the web application.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.GoogleAppsScriptTypeWebAppEntryPoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ListDeploymentsResponse","doc":"Response with the list of deployments for the specified Apps Script project.","ref":"GoogleApi.Script.V1.Model.ListDeploymentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ListDeploymentsResponse","doc":"*   `deployments` (*type:* `list(GoogleApi.Script.V1.Model.Deployment.t)`, *default:* `nil`) - The list of deployments.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token that can be used in the next call to get the next page of results.","ref":"GoogleApi.Script.V1.Model.ListDeploymentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ListDeploymentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ListDeploymentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ListDeploymentsResponse.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ListDeploymentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ListScriptProcessesResponse","doc":"Response with the list of Process resources.","ref":"GoogleApi.Script.V1.Model.ListScriptProcessesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ListScriptProcessesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token for the next page of results. If empty, there are no more pages remaining.\n*   `processes` (*type:* `list(GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess.t)`, *default:* `nil`) - List of processes matching request parameters.","ref":"GoogleApi.Script.V1.Model.ListScriptProcessesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ListScriptProcessesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ListScriptProcessesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ListScriptProcessesResponse.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ListScriptProcessesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ListUserProcessesResponse","doc":"Response with the list of Process resources.","ref":"GoogleApi.Script.V1.Model.ListUserProcessesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ListUserProcessesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token for the next page of results. If empty, there are no more pages remaining.\n*   `processes` (*type:* `list(GoogleApi.Script.V1.Model.GoogleAppsScriptTypeProcess.t)`, *default:* `nil`) - List of processes matching request parameters.","ref":"GoogleApi.Script.V1.Model.ListUserProcessesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ListUserProcessesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ListUserProcessesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ListUserProcessesResponse.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ListUserProcessesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ListValue","doc":"`ListValue` is a wrapper around a repeated field of values.","ref":"GoogleApi.Script.V1.Model.ListValue.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ListValue","doc":"*   `values` (*type:* `list(GoogleApi.Script.V1.Model.Value.t)`, *default:* `nil`) - Repeated field of dynamically typed values.","ref":"GoogleApi.Script.V1.Model.ListValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ListValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ListValue.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ListValue.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ListValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ListVersionsResponse","doc":"Response with the list of the versions for the specified script project.","ref":"GoogleApi.Script.V1.Model.ListVersionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ListVersionsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token use to fetch the next page of records. if not exist in the response, that means no more versions to list.\n*   `versions` (*type:* `list(GoogleApi.Script.V1.Model.Version.t)`, *default:* `nil`) - The list of versions.","ref":"GoogleApi.Script.V1.Model.ListVersionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ListVersionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ListVersionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ListVersionsResponse.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ListVersionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Metrics","doc":"Resource containing usage stats for a given script, based on the supplied filter and mask present in the request.","ref":"GoogleApi.Script.V1.Model.Metrics.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Metrics","doc":"*   `activeUsers` (*type:* `list(GoogleApi.Script.V1.Model.MetricsValue.t)`, *default:* `nil`) - Number of active users.\n*   `failedExecutions` (*type:* `list(GoogleApi.Script.V1.Model.MetricsValue.t)`, *default:* `nil`) - Number of failed executions.\n*   `totalExecutions` (*type:* `list(GoogleApi.Script.V1.Model.MetricsValue.t)`, *default:* `nil`) - Number of total executions.","ref":"GoogleApi.Script.V1.Model.Metrics.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Metrics.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Metrics.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Metrics.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Metrics.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.MetricsValue","doc":"Metrics value that holds number of executions counted.","ref":"GoogleApi.Script.V1.Model.MetricsValue.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.MetricsValue","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Required field indicating the end time of the interval.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Required field indicating the start time of the interval.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Indicates the number of executions counted.","ref":"GoogleApi.Script.V1.Model.MetricsValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.MetricsValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.MetricsValue.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.MetricsValue.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.MetricsValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Operation","doc":"A representation of an execution of an Apps Script function started with run. The execution response does not arrive until the function finishes executing. The maximum execution runtime is listed in the [Apps Script quotas guide](/apps-script/guides/services/quotas#current_limitations). After execution has started, it can have one of four outcomes: - If the script function returns successfully, the response field contains an ExecutionResponse object with the function's return value in the object's `result` field. - If the script function (or Apps Script itself) throws an exception, the error field contains a Status object. The `Status` object's `details` field contains an array with a single ExecutionError object that provides information about the nature of the error. - If the execution has not yet completed, the done field is `false` and the neither the `response` nor `error` fields are present. - If the `run` call itself fails (for example, because of a malformed request or an authorization error), the method returns an HTTP response code in the 4XX range with a different format for the response body. Client libraries automatically convert a 4XX response into an exception class.","ref":"GoogleApi.Script.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - This field indicates whether the script execution has completed. A completed execution has a populated `response` field containing the ExecutionResponse from function that was executed.\n*   `error` (*type:* `GoogleApi.Script.V1.Model.Status.t`, *default:* `nil`) - If a `run` call succeeds but the script function (or Apps Script itself) throws an exception, this field contains a Status object. The `Status` object's `details` field contains an array with a single ExecutionError object that provides information about the nature of the error.\n*   `response` (*type:* `map()`, *default:* `nil`) - If the script function returns successfully, this field contains an ExecutionResponse object with the function's return value.","ref":"GoogleApi.Script.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Project","doc":"The script project resource.","ref":"GoogleApi.Script.V1.Model.Project.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Project","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - When the script was created.\n*   `creator` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.t`, *default:* `nil`) - User who originally created the script.\n*   `lastModifyUser` (*type:* `GoogleApi.Script.V1.Model.GoogleAppsScriptTypeUser.t`, *default:* `nil`) - User who last modified the script.\n*   `parentId` (*type:* `String.t`, *default:* `nil`) - The parent's Drive ID that the script will be attached to. This is usually the ID of a Google Document or Google Sheet. This filed is optional, and if not set, a stand-alone script will be created.\n*   `scriptId` (*type:* `String.t`, *default:* `nil`) - The script project's Drive ID.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title for the project.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - When the script was last updated.","ref":"GoogleApi.Script.V1.Model.Project.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Project.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Project.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Project.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Project.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ScriptExecutionResult","doc":"The result of an execution.","ref":"GoogleApi.Script.V1.Model.ScriptExecutionResult.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ScriptExecutionResult","doc":"*   `returnValue` (*type:* `GoogleApi.Script.V1.Model.Value.t`, *default:* `nil`) - The returned value of the execution.","ref":"GoogleApi.Script.V1.Model.ScriptExecutionResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ScriptExecutionResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ScriptExecutionResult.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ScriptExecutionResult.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ScriptExecutionResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.ScriptStackTraceElement","doc":"A stack trace through the script that shows where the execution failed.","ref":"GoogleApi.Script.V1.Model.ScriptStackTraceElement.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.ScriptStackTraceElement","doc":"*   `function` (*type:* `String.t`, *default:* `nil`) - The name of the function that failed.\n*   `lineNumber` (*type:* `integer()`, *default:* `nil`) - The line number where the script failed.","ref":"GoogleApi.Script.V1.Model.ScriptStackTraceElement.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.ScriptStackTraceElement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.ScriptStackTraceElement.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.ScriptStackTraceElement.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.ScriptStackTraceElement.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Status","doc":"If a `run` call succeeds but the script function (or Apps Script itself) throws an exception, the response body's error field contains this `Status` object.","ref":"GoogleApi.Script.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code. For this API, this value either: - 10, indicating a `SCRIPT_TIMEOUT` error, - 3, indicating an `INVALID_ARGUMENT` error, or - 1, indicating a `CANCELLED` execution. \n*   `details` (*type:* `list(map())`, *default:* `nil`) - An array that contains a single ExecutionError object that provides information about the nature of the error.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which is in English. Any user-facing error message is localized and sent in the details field, or localized by the client.","ref":"GoogleApi.Script.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Struct","doc":"`Struct` represents a structured data value, consisting of fields which map to dynamically typed values.","ref":"GoogleApi.Script.V1.Model.Struct.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Struct","doc":"*   `fields` (*type:* `%{optional(String.t) => GoogleApi.Script.V1.Model.Value.t}`, *default:* `nil`) - Unordered map of dynamically typed values.","ref":"GoogleApi.Script.V1.Model.Struct.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Struct.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Struct.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Struct.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Struct.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.UpdateDeploymentRequest","doc":"Request with deployment information to update an existing deployment.","ref":"GoogleApi.Script.V1.Model.UpdateDeploymentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.UpdateDeploymentRequest","doc":"*   `deploymentConfig` (*type:* `GoogleApi.Script.V1.Model.DeploymentConfig.t`, *default:* `nil`) - The deployment configuration.","ref":"GoogleApi.Script.V1.Model.UpdateDeploymentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.UpdateDeploymentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.UpdateDeploymentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.UpdateDeploymentRequest.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.UpdateDeploymentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Value","doc":"`Value` represents a dynamically typed value which is the outcome of an executed script.","ref":"GoogleApi.Script.V1.Model.Value.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Value","doc":"*   `boolValue` (*type:* `boolean()`, *default:* `nil`) - Represents a boolean value.\n*   `bytesValue` (*type:* `String.t`, *default:* `nil`) - Represents raw byte values.\n*   `dateValue` (*type:* `String.t`, *default:* `nil`) - Represents a date in ms since the epoch.\n*   `listValue` (*type:* `GoogleApi.Script.V1.Model.ListValue.t`, *default:* `nil`) - Represents a repeated `Value`.\n*   `nullValue` (*type:* `String.t`, *default:* `nil`) - Represents a null value.\n*   `numberValue` (*type:* `float()`, *default:* `nil`) - Represents a double value.\n*   `protoValue` (*type:* `map()`, *default:* `nil`) - Represents a structured proto value.\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - Represents a string value.\n*   `structValue` (*type:* `GoogleApi.Script.V1.Model.Struct.t`, *default:* `nil`) - Represents a structured value.","ref":"GoogleApi.Script.V1.Model.Value.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Value.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Value.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Value.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Value.html#t:t/0"},{"type":"module","title":"GoogleApi.Script.V1.Model.Version","doc":"A resource representing a script project version. A version is a \"snapshot\" of a script project and is similar to a read-only branched release. When creating deployments, the version to use must be specified.","ref":"GoogleApi.Script.V1.Model.Version.html"},{"type":"module","title":"Attributes - GoogleApi.Script.V1.Model.Version","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - When the version was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description for this version.\n*   `scriptId` (*type:* `String.t`, *default:* `nil`) - The script project's Drive ID.\n*   `versionNumber` (*type:* `integer()`, *default:* `nil`) - The incremental ID that is created by Apps Script when a version is created. This is system assigned number and is immutable once created.","ref":"GoogleApi.Script.V1.Model.Version.html#module-attributes"},{"type":"function","title":"GoogleApi.Script.V1.Model.Version.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Script.V1.Model.Version.html#decode/2"},{"type":"type","title":"GoogleApi.Script.V1.Model.Version.t/0","doc":"","ref":"GoogleApi.Script.V1.Model.Version.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}